uuid: 4ae57400-1bd3-4249-aaf8-cb2d8e94b070
langcode: en
status: true
dependencies:
  config:
    - entity_browser.browser.banner_image_browser
    - field.field.paragraph.video_carousel_slide.field_badge
    - field.field.paragraph.video_carousel_slide.field_content_display_delay
    - field.field.paragraph.video_carousel_slide.field_link
    - field.field.paragraph.video_carousel_slide.field_poster_image
    - field.field.paragraph.video_carousel_slide.field_video_mp4
    - field.field.paragraph.video_carousel_slide.field_video_ogv
    - field.field.paragraph.video_carousel_slide.field_video_slide_text
    - field.field.paragraph.video_carousel_slide.field_video_webm
    - paragraphs.paragraphs_type.video_carousel_slide
  module:
    - entity_browser
    - field_group
    - file
    - imce
    - link
    - text
third_party_settings:
  field_group:
    group_videos:
      children:
        - field_video_mp4
        - field_video_webm
        - field_video_ogv
      label: Videos
      region: content
      parent_name: ''
      weight: 4
      format_type: details
      format_settings:
        classes: ''
        id: ''
        open: true
        description: 'Upload each format of the video.'
        required_fields: true
id: paragraph.video_carousel_slide.default
targetEntityType: paragraph
bundle: video_carousel_slide
mode: default
content:
  field_badge:
    type: string_textfield
    weight: 0
    region: content
    settings:
      size: 60
      placeholder: ''
    third_party_settings: {  }
  field_content_display_delay:
    type: number
    weight: 5
    region: content
    settings:
      placeholder: ''
    third_party_settings: {  }
  field_link:
    type: link_default
    weight: 2
    region: content
    settings:
      placeholder_url: ''
      placeholder_title: ''
    third_party_settings: {  }
  field_poster_image:
    type: entity_browser_entity_reference
    weight: 3
    region: content
    settings:
      entity_browser: banner_image_browser
      field_widget_display: label
      field_widget_edit: true
      field_widget_remove: true
      field_widget_replace: false
      open: true
      field_widget_display_settings: {  }
      selection_mode: selection_append
    third_party_settings: {  }
  field_video_mp4:
    type: file_generic
    weight: 3
    region: content
    settings:
      progress_indicator: throbber
    third_party_settings:
      imce:
        enabled: true
  field_video_ogv:
    type: file_generic
    weight: 5
    region: content
    settings:
      progress_indicator: throbber
    third_party_settings:
      imce:
        enabled: true
  field_video_slide_text:
    type: text_textarea
    weight: 1
    region: content
    settings:
      rows: 5
      placeholder: ''
    third_party_settings: {  }
  field_video_webm:
    type: file_generic
    weight: 4
    region: content
    settings:
      progress_indicator: throbber
    third_party_settings:
      imce:
        enabled: true
hidden:
  created: true
  status: true
